
datablock WheeledVehicleTire(ModernChallengerTire)
{
  shapeFile = "./ModernChallengerWheel.dts";
  mass = 10;
  radius = 1;
  staticFriction = 5;
  kineticFriction = 5;
  restitution = 0.5;
  lateralForce = 18000;
  lateralDamping = 4000;
  lateralRelaxation = 0.8;
  longitudinalForce = 14000;
  longitudinalDamping = 2000;
  longitudinalRelaxation = 0.8;
};

datablock WheeledVehicleSpring(ModernChallengerSpring)
{
  length = 0.27;
  force = 3600; //3000;
  damping = 400; //600;
  antiSwayForce = 2; //3;
};

datablock DebrisData(ModernChallengerTireDebris)
{
  shapeFile = "./ModernChallengerWheel.dts";
  lifetime = 2;
  minSpinSpeed = -400;
  maxSpinSpeed = 200;
  elasticity = 0.5;
  friction = 0.2;
  numBounces = 3;
  staticOnMaxBounce = true;
  snapOnMaxBounce = false;
  fade = true;
  gravModifier = 2;
};

datablock ExplosionData(ModernChallengerExplosion : vehicleExplosion)
{
  debris = ModernChallengerTireDebris;
  debrisNum = 4;
  debrisNumVariance = 0;
  debrisPhiMin = 0;
  debrisPhiMax = 360;
  debrisThetaMin = 40;
  debrisThetaMax = 85;
  debrisVelocity = 14;
  debrisVelocityVariance = 3;
};

datablock ProjectileData(ModernChallengerExplosionProjectile : vehicleExplosionProjectile)
{
  uiName = "";
  explosion = ModernChallengerExplosion;
};

datablock WheeledVehicleData(ModernChallengerVehicle)
{
  isCustom=1;
  type="ChallengerModern";
  uiName = "Challenger Modern";
  category = "Vehicles";
  displayName = "";
  shapeFile = "./ChallengerModern.dts";
  emap = true;
  minMountDist = 3;
  numMountPoints = 4;
  mountThread[0] = "sit";
  mountThread[1] = "sit";
  mountThread[2] = "sit";
  mountThread[3] = "sit";
  maxDamage = 200;
  destroyedLevel = 200;
  speedDamageScale = 1.04;
  collDamageThresholdVel = 20;
  collDamageMultiplier = 0.02;
  massCenter = "0 -0.3 0.15";
  maxSteeringAngle = 0.9;
  integration = 4;
  tireEmitter = VehicleTireEmitter;
  cameraRoll = false;
  cameraMaxDist = 9;
  cameraOffset = 4.5;
  cameraLag = 0.0;
  cameraDecay = 0.75;
  cameraTilt = 0.4;
  collisionTol = 0.1;
  contactTol = 0.1;
  useEyePoint = false;
  defaultTire = ModernChallengerTire;
  defaultSpring = ModernChallengerSpring;
  numWheels = 4;
  mass = 400;
  density = 5.0;
  drag = 4.5;
  bodyFriction = 0.6;
  bodyRestitution = 0.6;
  minImpactSpeed = 10;
  softImpactSpeed = 10;
  hardImpactSpeed = 15;
  groundImpactMinSpeed = 10.0;
  engineTorque = 5900; //4000;
  engineBrake = 800;
  brakeTorque = 3400;
  maxWheelSpeed = 56;
  rollForce = 850;
  yawForce = 750;
  pitchForce = 1600;
  rotationalDrag = 0;
  maxEnergy = 100;
  jetForce = 3000;
  minJetEnergy = 30;
  jetEnergyDrain = 2;
  splash = vehicleSplash;
  splashVelocity = 4.0;
  splashAngle = 67.0;
  splashFreqMod = 300.0;
  splashVelEpsilon = 0.60;
  bubbleEmitTime = 1.4;
  splashEmitter[0] = vehicleFoamDropletsEmitter;
  splashEmitter[1] = vehicleFoamEmitter;
  splashEmitter[2] = vehicleBubbleEmitter;
  mediumSplashSoundVelocity = 10.0;
  hardSplashSoundVelocity = 20.0;
  exitSplashSoundVelocity = 5.0;
  softImpactSound = slowImpactSound;
  hardImpactSound = fastImpactSound;
  justcollided = 0;
  rideable = true;
  lookUpLimit = 0.5;
  lookDownLimit = 0.5;
  paintable = true;
  damageEmitter[0] = VehicleBurnEmitter;
  damageEmitterOffset[0] = "0 3 1";
  damageLevelTolerance[0] = 0.5;
  damageEmitter[1] = VehicleBurnEmitter;
  damageEmitterOffset[1] = "0 3 0";
  damageLevelTolerance[1] = 0.9;
  numDmgEmitterAreas = 1;
  handsOnVehicle =1;
  initialExplosionProjectile = ModernChallengerExplosionProjectile;
  initialExplosionOffset = 0;
  burnTime = 4000;
  finalExplosionProjectile = vehicleFinalExplosionProjectile;
  finalExplosionOffset = 0;
  minRunOverSpeed = 4;
  runOverDamageScale = 25;
  runOverPushScale = 1.2;
  protectPassengersBurn = true;
  protectPassengersRadius = true;
  protectPassengersDirect = true;
};
Garage_AddParts("add-ons/Vehicle_Challenger/Challenger.txt");

package ModernChallengerFunctions
{
  function ModernChallengerVehicle::onAdd(%this,%obj)
  {
    Parent::onAdd(%this,%obj);
  
    %obj.setWheelPowered(0,false);
    %obj.setWheelPowered(1,false);
    %obj.setWheelPowered(2,true);
    %obj.setWheelPowered(3,true);
  
    %obj.hideNode(lhand);
    %obj.hideNode(rhand);
    %obj.hideNode(lhook);
    %obj.hideNode(rhook);
    %obj.hideNode(lightsON);
    %obj.hideNode(BrakelightOFFLIGHT);
    %obj.hideNode(lightFLARE);
  
    %obj.playthread(0,OFF);
  
    %obj.schedule(0,garageDefault);
  }
};
activatePackage(ModernChallengerFunctions);
