datablock WheeledVehicleSpring(Challenger1970Spring)
{
  length = 0.2;
  force = 3500; //3000;
  damping = 200; //600;
  antiSwayForce = 4; //3;
};

datablock DebrisData(Challenger1970TireDebris)
{
  shapeFile = "./1970ChallengerTire.dts";
  lifetime = 2;
  minSpinSpeed = -400;
  maxSpinSpeed = 200;
  elasticity = 0.5;
  friction = 0.2;
  numBounces = 3;
  staticOnMaxBounce = true;
  snapOnMaxBounce = false;
  fade = true;
  gravModifier = 2;
};

datablock ExplosionData(Challenger1970Explosion : vehicleExplosion)
{
  debris = Challenger1970TireDebris;
  debrisNum = 4;
  debrisNumVariance = 0;
  debrisPhiMin = 0;
  debrisPhiMax = 360;
  debrisThetaMin = 40;
  debrisThetaMax = 85;
  debrisVelocity = 14;
  debrisVelocityVariance = 3;
};

datablock ProjectileData(Challenger1970ExplosionProjectile : vehicleExplosionProjectile)
{
  uiName = "";
  explosion = Challenger1970Explosion;
};


datablock WheeledVehicleTire(Challenger1970Tire : ModernChallengerTire)
{
  shapeFile = "./1970ChallengerTire.dts";
};
datablock WheeledVehicleData(Challenger1970Vehicle : ModernChallengerVehicle)
{
  isCustom=1;
  type="Challenger1970";
	uiName = "Challenger 1970";
	
	shapeFile = "./Challenger1970.dts";
	
	massCenter = "0 -0.4 0.5";
	
	rollForce = 900;
	pitchForce = 1750;
	
	maxSteeringAngle = 0.9;
	
	engineTorque = 5300; //4000;
  engineBrake = 700;
  brakeTorque = 3200;
	maxWheelSpeed=48;
	
	initialExplosionProjectile = Challenger1970ExplosionProjectile;
  
  defaultTire	= Challenger1970Tire;
  defaultSpring = Challenger1970Spring;
};
Garage_AddParts("add-ons/Vehicle_Challenger/Challenger.txt");

//### Functions

package Challenger1970Functions
{
  function Challenger1970Vehicle::onAdd(%this,%obj)
  {
    Parent::onAdd(%this,%obj);
  
    %obj.setWheelPowered(0,false);
    %obj.setWheelPowered(1,false);
    %obj.setWheelPowered(2,true);
    %obj.setWheelPowered(3,true);
  
    %obj.hideNode(lhand);
    %obj.hideNode(rhand);
    %obj.hideNode(lhook);
    %obj.hideNode(rhook);
    %obj.hideNode(LightsON);
    %obj.hideNode(brakeOFFLIGHT);
    %obj.hideNode(lightFLARE);
  
    %obj.playthread(0,OFF);
  
    %obj.schedule(0,garageDefault);
  }
};
activatePackage(Challenger1970Functions);
