datablock TSShapeConstructor(Challenger1970Dts)
{
	baseShape  = "./Challenger1970.dts";
	sequence0  = "./NeonON.dsq ON";
	sequence1  = "./NeonOFF.dsq OFF";
	sequence2  = "./root.dsq root";
};

datablock TSShapeConstructor(ChallengerDts)
{
	baseShape  = "./ChallengerModern.dts";
	sequence0  = "./Croot.dsq root";
	sequence1  = "./cneonON.dsq ON";
	sequence2  = "./cneonOFF.dsq OFF";
};


datablock ShapeBaseImageData(ClassicHL1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 5;
   rotation = "1 0 0 -90";

	lighttype="constantlight";
	lightcolor="1 0.85 0.67";
	lightradius=25;

	stateName[0] = "Ready";

};

datablock ShapeBaseImageData(ClassicHL2 : ClassicHL1)
{
	mountPoint = 6;
	lightradius=70;
};

datablock ShapeBaseImageData(ModernHL1 : ClassicHL1)
{
  mountPoint = 5;

	lightcolor="1 1 1";
	lightradius=35;
};

datablock ShapeBaseImageData(ModernHL2 : ModernHL1)
{
	mountPoint = 6;
	lightradius=75;
};

//Classic//

package ClassicLights
{
	function serverCmdLight(%client)
	{
		if(isObject(%pl = %client.player) && !isObject(%pl.light) && isObject(%veh = %pl.getObjectMount()))
		{
			if(%veh.getDataBlock().getName() $= "Challenger1970Vehicle" && %pl.getMountNode() == 0)
			{
				servercmd1970Light(%client);
				return;
			}
		}
		parent::serverCmdLight(%client);
	}
	
	function servercmd1970Light(%client)
	{
		//Before we do anything, make sure the client isn't trying to change the light too rapidly.
		if(getSimTime() < %client.lastCVHLTime + 500)
		{
			return;	//Fewer than 500 milliseconds have passed since client sent a command. Ignore this one.
		}
		//If the above check did not activate, we're good to continue.
		%client.lastCVHLTime = getSimTime();	//Right now is when they sent the last command.	
		
		if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
		if(%veh.getDataBlock().getName() !$= "Challenger1970Vehicle" || %pl.getMountNode() != 0) return;
		
		if(!%veh.headlight)
		{
			%veh.headlight = 1;
			%veh.mountImage(ClassicHL1, 0);
			%veh.mountImage(ClassicHL2, 1);
			%veh.unhidenode(lightsON);
			%veh.unhidenode(lightFLARE);
			%veh.hidenode(lightsOFF);
			%veh.hidenode(brakeOFF);
			%veh.unhidenode(brakeOFFLIGHT);
			%veh.playthread(0,ON);
		}
		else
		{
			%veh.headlight = 0;
			%veh.unMountImage(0);
			%veh.unMountImage(1);
			%veh.hidenode(lightsON);
			%veh.hidenode(lightFLARE);
			%veh.unhidenode(lightsOFF);
			%veh.unhidenode(brakeOFF);
			%veh.hidenode(brakeOFFLIGHT);
			%veh.playthread(0,OFF);
		}
	}
	
	
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);

		if (!isObject(%col) || %obj.getMountNode() != 0 || %col.getDatablock().getName() !$= "Challenger1970Vehicle")
			return;

		%col.headlight = 0;
		%col.unMountImage(0);
		%col.unMountImage(1);
		%col.hidenode(lightsON);
	  %col.hidenode(lightFLARE);
		%col.unhidenode(lightsOFF);
		%col.unhidenode(brakeOFF);
		%col.hidenode(brakeOFFLIGHT);
		%col.playthread(0,OFF);
	}
};
activatePackage(ClassicLights);

//Modern//

package ModernLights
{
	function serverCmdLight(%client)
	{
		if(isObject(%pl = %client.player) && !isObject(%pl.light) && isObject(%veh = %pl.getObjectMount()))
		{
			if(%veh.getDataBlock().getName() $= "ModernChallengerVehicle" && %pl.getMountNode() == 0)
			{
				servercmdModernLight(%client);
				return;
			}
		}
		parent::serverCmdLight(%client);
	}
	
	function servercmdModernLight(%client)
	{
		//Before we do anything, make sure the client isn't trying to change the light too rapidly.
		if(getSimTime() < %client.lastCVHLTime + 500)
		{
			return;	//Fewer than 500 milliseconds have passed since client sent a command. Ignore this one.
		}
		//If the above check did not activate, we're good to continue.
		%client.lastCVHLTime = getSimTime();	//Right now is when they sent the last command.	
		
		if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
		if(%veh.getDataBlock().getName() !$= "ModernChallengerVehicle" || %pl.getMountNode() != 0) return;
		
		if(!%veh.headlight)
		{
			%veh.headlight = 1;
			%veh.mountImage(ModernHL1, 0);
			%veh.mountImage(ModernHL2, 1);
			%veh.unhidenode(lightsON);
			%veh.unhidenode(lightFLARE);
			%veh.hidenode(lightsOFF);
			%veh.hidenode(BrakelightOFF);
			%veh.unhidenode(BrakelightOFFLIGHT);
			%veh.playthread(0,ON);
		}
		else
		{
			%veh.headlight = 0;
			%veh.unMountImage(0);
			%veh.unMountImage(1);
			%veh.hidenode(lightsON);
			%veh.hidenode(lightFLARE);
			%veh.unhidenode(lightsOFF);
			%veh.unhidenode(BrakelightOFF);
			%veh.hidenode(BrakelightOFFLIGHT);
			%veh.playthread(0,OFF);
		}
	}
	
	
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);

		if (!isObject(%col) || %obj.getMountNode() != 0 || %col.getDatablock().getName() !$= "ModernChallengerVehicle")
			return;

		%col.headlight = 0;
		%col.unMountImage(0);
		%col.unMountImage(1);
		%col.hidenode(lightsON);
	  %col.hidenode(lightFLARE);
		%col.unhidenode(lightsOFF);
		%col.unhidenode(BrakelightOFF);
		%col.hidenode(BrakelightOFFLIGHT);
		%col.playthread(0,OFF);
	}
};
activatePackage(ModernLights);